package org.jopera.demo.listener;

import java.util.List;
import java.util.Set;

import ch.ethz.jopera.kernel.Box;
import ch.ethz.jopera.kernel.MemoryAddress;
import ch.ethz.jopera.kernel.MemoryValue;
import ch.ethz.jopera.kernel.TID;
import ch.ethz.jopera.kernel.eclipse.notification.IKernelMemoryChangesListener;

public class JOperaMemoryChangesListener implements
		IKernelMemoryChangesListener {
	
	MemoryAddress filter = new MemoryAddress(TID.ANY_LITERAL, Box.System, Box.WallTime);

	public void notifyChanges(List changes) {
		for (Object object : changes) {
			if (object instanceof MemoryValue) {
				MemoryValue value = (MemoryValue) object;
				if (filter.matches(value)) {
					System.out.println(value + " " + value.getValue());
				}
			}
		}

	}

	public void notifyDeletes(Set deletions) {

	}

}
